Issue #14626 has been updated by MSP-Greg (Greg L).


Benoit_Tigeot (Benoit Tigeot) wrote:

> The failing test appears between ruby version v2_2_9 and v2_3_0 when this tests was introduced.

Thanks for rechecking.  On Windows, using `ruby 2.3.7p407 (2018-02-01 revision 62148) [x64-mingw32]`, I ran the file using the current trunk test suite (commented out MJIT statements), and the test passed.

> I will stop bisecting and instead ask rubygems team. :)

Re my previous post, part of what I was trying to point out is that a failed test may not necessarily show a bug in the code it was designed to test.  It may, sometimes just by chance, show a bug in methods unrelated to the test's purpose.

Regardless, since I can't repo, I can't help any further.  Hopefully, someone else can repo it or you can provide more information clarifying the cause.

Greg

----------------------------------------
Bug #14626: One failing test on trunk 58fbe69a5b and OSX
https://bugs.ruby-lang.org/issues/14626#change-71224

* Author: Benoit_Tigeot (Benoit Tigeot)
* Status: Assigned
* Priority: Normal
* Assignee: ko1 (Koichi Sasada)
* Target version: 
* ruby -v: 
* Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5: UNKNOWN
----------------------------------------
I'm using ruby/trunk on 58fbe69a5b. When I run *make test-all TESTS='rubygems/test_require.rb'*

~~~ text
Run options: "--ruby=./miniruby -I../ruby/lib -I. -I.ext/common  ../ruby/tool/runruby.rb --extout=.ext  -- --disable-gems" --excludes-dir=../ruby/test/excludes --name=!/memory_leak/

# Running tests:

[ 2/21] TestGemRequire#test_dash_i_beats_gems = 0.05 s
  1) Error:
TestGemRequire#test_dash_i_beats_gems:
NameError: uninitialized constant HELLO
    /Users/bti/code/ruby/test/rubygems/test_require.rb:65:in `test_dash_i_beats_gems'

Finished tests in 0.656300s, 31.9976 tests/s, 135.6087 assertions/s.
21 tests, 89 assertions, 0 failures, 1 errors, 1 skips
~~~

Here are my current environment details:

* osx 10.13.2
* ruby trunk 58fbe69a5b

Is their a guide somewhere for git bisecting ruby trunk. I'm using https://github.com/ko1/rubyhackchallenge/blob/master/EN/2_mri_structure.md#assumptions and I'm not sure about the best way of doing it.

I'm running *make test-all* from my *build* folder but do I need to run *../ruby/configure ....* and *make install* everytime I checkout a previous version? I feel dumb of asking those questions.

Thanks a lot in advance




-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>